
Redmine - Defect #6145

Git commit dates not read properly

2010-08-16 14:49 - Felix Schäfer

Status: Closed Start date: 2010-08-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

git log says: 2010-08-05 16:45:11 +0200,

The rails console says for that commit: committed_on: "2010-08-05 16:45:11" (Which IIRC should be UTC, so it's already wrong

here),

When viewed in a browser in UTC+2, the repository tab says: 05.08.2010 18:45 (Which is in accordance to what is in the DB).

A solution that works for me is to add .utc to the 2 Time.parse() calls in the git adapter (

source:/trunk/lib/redmine/scm/adapters/git_adapter.rb#L142 and source:/trunk/lib/redmine/scm/adapters/git_adapter.rb#L191).

History

#1 - 2010-09-18 13:32 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Cant reproduce

Mmh, that may have been a weird byproduct of some other stuff I was experimenting with at the time, at least I wasn't able to really reproduce that

now (might be rather related to #6346 too). Closing for now.

#2 - 2011-10-25 12:51 - Tristram Laporte

SPAM
